import { createVNode as _createVNode, createTextVNode as _createTextVNode } from "vue";
/// <reference types="../../../types/cypress" />
import { CenteredGrid } from "../../../cypress/templates/index.mjs";
import VBtn from "./VBtn.mjs";
describe('VBtn', () => {
  it('supports the color property', () => {
    const colors = ['success', 'info', 'warning', 'error', 'invalid'];
    const Buttons = colors.map(color => _createVNode(VBtn, {
      "color": color,
      "class": "text-capitalize"
    }, {
      default: () => [color, _createTextVNode(" button")],
      _: 2
    }, 8, ["color"]));
    cy.mount(() => _createVNode(CenteredGrid, {
      "width": "200px"
    }, {
      default: () => [_createVNode("h2", {
        "class": "mt-8"
      }, [_createTextVNode("Buttons by Color")]), Buttons],
      _: 2
    })).get('button').should('have.length', colors.length).then(subjects => {
      Array.from(subjects).forEach((subject, idx) => {
        expect(subject).to.have.class('bg-' + colors[idx]);
      });
    });
  });
});
//# sourceMappingURL=VBtn.cy.spec.mjs.map