import { createVNode as _createVNode } from "vue";
/// <reference types="../../../types/cypress" />
import { CenteredGrid } from "../../../cypress/templates/index.mjs";
import { VCard } from "./../index.mjs";
import VDefaultsProvider from "./VDefaultsProvider.mjs";
describe('VDefaultsProvider', () => {
  it('should apply new defaults', () => {
    cy.mount(() => _createVNode(CenteredGrid, {
      "width": "200px"
    }, {
      default: () => [_createVNode(VDefaultsProvider, {
        "defaults": {
          global: {
            elevation: 10
          },
          VCard: {
            color: 'primary'
          }
        }
      }, {
        default: () => [_createVNode(VCard, {
          "title": "foo",
          "subtitle": "bar"
        }, null)]
      })]
    })).get('.v-card').should('have.class', 'elevation-10').should('have.class', 'bg-primary');
  });
});
//# sourceMappingURL=VDefaultsProvider.cy.spec.mjs.map