import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
// Styles
import "./VGrid.sass"; // Composables

import { makeTagProps } from "../../composables/tag.mjs"; // Utilities

import { defineComponent } from 'vue';
import { makeProps } from "../../util/index.mjs";
export default defineComponent({
  name: 'VContainer',
  props: makeProps({
    fluid: {
      type: Boolean,
      default: false
    },
    ...makeTagProps()
  }),

  setup(props, {
    slots
  }) {
    return () => _createVNode(props.tag, {
      "class": ['v-container', {
        'v-container--fluid': props.fluid
      }]
    }, slots, 8, ["class"]);
  }

});
//# sourceMappingURL=VContainer.mjs.map