import { createVNode as _createVNode, createTextVNode as _createTextVNode } from "vue";
/// <reference types="../../../types/cypress" />
import { CenteredGrid } from "../../../cypress/templates/index.mjs";
import { VList, VListItem } from "../index.mjs";
describe('VList', () => {
  function mountFunction(content) {
    return cy.mount(() => content);
  }

  it('supports the density property', () => {
    const densities = ['default', 'comfortable', 'compact'];
    const ListItems = densities.map(density => _createVNode(VList, {
      "density": density
    }, {
      default: () => [_createVNode(VListItem, null, {
        default: () => [_createTextVNode("density "), density],
        _: 2
      })]
    }, 8, ["density"]));
    const wrapper = mountFunction(_createVNode(CenteredGrid, {
      "width": "200px"
    }, {
      default: () => [_createVNode("h2", {
        "class": "mt-8"
      }, [_createTextVNode("ListItems by Density")]), ListItems],
      _: 2
    }));
    wrapper.get('.v-list--density-default').should('exist');
    wrapper.get('.v-list--density-comfortable').should('exist');
    wrapper.get('.v-list--density-compact').should('exist');
  });
  it('supports the lines property', () => {
    const lines = ['one', 'two', 'three'];
    const ListItems = lines.map(number => _createVNode(VList, {
      "lines": number
    }, {
      default: () => [_createVNode(VListItem, null, {
        default: () => [_createTextVNode("lines "), number],
        _: 2
      })]
    }, 8, ["lines"]));
    const wrapper = mountFunction(_createVNode(CenteredGrid, {
      "width": "200px"
    }, {
      default: () => [_createVNode("h2", {
        "class": "mt-8"
      }, [_createTextVNode("ListItems by Density")]), ListItems],
      _: 2
    }));
    wrapper.get('.v-list--one-line').should('exist');
    wrapper.get('.v-list--two-line').should('exist');
    wrapper.get('.v-list--three-line').should('exist');
  });
});
//# sourceMappingURL=VList.cy.spec.mjs.map