import { createVNode as _createVNode, createTextVNode as _createTextVNode } from "vue";
/// <reference types="../../../types/cypress" />
import { CenteredGrid } from "../../../cypress/templates/index.mjs";
import { VListItem } from "../index.mjs";
describe('VListItem', () => {
  function mountFunction(content) {
    return cy.mount(() => content);
  }

  it('supports header text props, title and subtitle', () => {
    const wrapper = mountFunction(_createVNode(CenteredGrid, {
      "width": "200px"
    }, {
      default: () => [_createVNode("h2", {
        "class": "mt-8"
      }, [_createTextVNode("ListItem Header Text")]), _createVNode(VListItem, {
        "title": "foo",
        "subtitle": "bar"
      }, null)],
      _: 1
    }));
    wrapper.get('.v-list-item-title').contains('foo');
    wrapper.get('.v-list-item-subtitle').contains('bar');
  });
});
//# sourceMappingURL=VListItem.cy.spec.mjs.map