import { createVNode as _createVNode } from "vue";
// Styles
import "./VThemeProvider.sass"; // Composables

import { makeThemeProps, useTheme } from "../../composables/theme.mjs";
import { makeTagProps } from "../../composables/tag.mjs"; // Utilities

import { defineComponent } from 'vue';
import { makeProps } from "../../util/index.mjs";
export default defineComponent({
  name: 'VThemeProvider',
  props: makeProps({
    withBackground: Boolean,
    ...makeThemeProps(),
    ...makeTagProps()
  }),

  setup(props, {
    slots
  }) {
    const {
      themeClasses
    } = useTheme(props);
    return () => {
      var _slots$default, _slots$default2;

      if (!props.withBackground) return (_slots$default = slots.default) == null ? void 0 : _slots$default.call(slots);
      return _createVNode(props.tag, {
        "class": ['v-theme-provider', themeClasses.value]
      }, {
        default: () => [(_slots$default2 = slots.default) == null ? void 0 : _slots$default2.call(slots)]
      }, 8, ["class"]);
    };
  }

});
//# sourceMappingURL=VThemeProvider.mjs.map