import { camelize, capitalize, defineComponent, h } from 'vue';
import { makeProps } from "./makeProps.mjs";
export function createSimpleFunctional(klass, tag = 'div', name) {
  return defineComponent({
    name: name != null ? name : capitalize(camelize(klass.replace(/__/g, '-'))),
    props: makeProps({
      tag: {
        type: String,
        default: tag
      }
    }),

    setup(props, {
      slots
    }) {
      return () => {
        var _slots$default;

        return h(props.tag, {
          class: klass
        }, (_slots$default = slots.default) == null ? void 0 : _slots$default.call(slots));
      };
    }

  });
}
//# sourceMappingURL=createSimpleFunctional.mjs.map